- entityDefinitions:
  - IDM_Method__get__Parms_Qualifier_or_Empty_String: '{e6beacc6-d79d-4e77-9e70-b905a4910c53}'
  - IDMB_Method__get__Parms_Qualifier_or_Empty_String: '{dc7bf444-2e3f-47b1-8a43-224338526c42}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - conditionalSelectAttributeMethod: '&IDM_Method__get__Parms_Qualifier_or_Empty_String;'
    forClassId: '&IDC_Method;'
    verb: 'get'
    name: 'Parms Qualifier or Empty String'
    accessModifierId: '&IDI_AccessModifier_Public;'
    returnsAttributeId: '&IDA_Static;'
    cases:
    - globalIdentifier: '{40ab8e9e-4d3d-49cb-9e33-74283a494163}'
      # trueConditions:
      # - instance: '&IDMB_Method__has__Parms;'
      # useAnyCondition: no
      # returnsAttributeId: '&IDMB_Method__get__Static_Qualifier;'
    # - globalIdentifier: '{68e85e33-174e-45dc-98de-abb7f81eefaf}'
    #   useAnyCondition: no
      returnsAttributeId: '&IDMB_Common_Text__get__Empty_String;'
      
  - returnAttributeMethodBinding: '&IDMB_Method__get__Parms_Qualifier_or_Empty_String;'
    executesMethod: '&IDM_Method__get__Parms_Qualifier_or_Empty_String;'